post
https://yourwebhook.com/dispatch/cancel_job
Purpose
A merchant or ordering channel may cancel the order, which in turn will cancel the delivery job and it will be communicated as a webhook event to specifiied 'Cancel URL'
ℹ️ Standardised Cancel Webhook URL
The cancel webhook needs to be standardised, i.e. the same URL should be used for every customer installation.
Request
Below is an example of a cancel event;
{
"jobId": "5c8******************0d1",
"account": "5be******************e57",
"pickupLocation": {
"location": "5ea******************4a9"
},
"deliveryLocations": [
{
"orderId": "5f4******************2af",
"channelOrderDisplayId": "MT4YVTPL",
"deliveryId": "ABC567"
}
],
"courier": {
"courierId": "D1234"
}
}Response
We expect the following response to confirm the cancellation is processed on your side.
{
"status": "confirmed",
"reason": "",
"price": 0
}